/*******************************************************************************
 * Copyright (c) 2004 - 2006 University Of British Columbia and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     University Of British Columbia - initial API and implementation
 *******************************************************************************/

package org.eclipse.mylar.internal.web.ui;

import java.net.URL;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.mylar.internal.web.WebResource;
import org.eclipse.mylar.tasks.ui.TasksUiUtil;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorReference;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.internal.browser.WebBrowserEditorInput;

/**
 * @author Mik Kersten
 */
public class WebUiUtil {

	public static void openUrlInInternalBrowser(WebResource webResource) {
		String url = webResource.getUrl();
		try {
			IWorkbenchPage page = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
			IEditorReference[] editorReferences = page.getEditorReferences();
			for (IEditorReference editorReference : editorReferences) {
				IEditorInput input = editorReference.getEditorInput();
				if (input instanceof WebBrowserEditorInput) {
					WebBrowserEditorInput webInput = (WebBrowserEditorInput) input;
					URL alreadyOpenUrl = webInput.getURL();
					if (alreadyOpenUrl != null && alreadyOpenUrl.toExternalForm().equals(url)) {
						page.activate(editorReference.getEditor(true));
						return;
					}
				}
			}
			TasksUiUtil.openBrowser(url);

			// IWebBrowser browser = null;
			// int flags = 0;
			// if
			// (WorkbenchBrowserSupport.getInstance().isInternalWebBrowserAvailable())
			// {
			// flags = WorkbenchBrowserSupport.AS_EDITOR |
			// WorkbenchBrowserSupport.LOCATION_BAR
			// | WorkbenchBrowserSupport.NAVIGATION_BAR;
			//
			// } else {
			// flags = WorkbenchBrowserSupport.AS_EXTERNAL |
			// WorkbenchBrowserSupport.LOCATION_BAR
			// | WorkbenchBrowserSupport.NAVIGATION_BAR;
			// }
			// if (webResource instanceof WebPage) {
			// MylarWebPlugin.getWebResourceManager().updateTitle((WebPage)webResource);
			// }
			//			
			// browser =
			// WorkbenchBrowserSupport.getInstance().createBrowser(flags,
			// "org.eclipse.mylar.web",
			// null, null);
			// browser.openURL(new URL(url));
		} catch (PartInitException e) {
			MessageDialog.openError(Display.getDefault().getActiveShell(), "URL not found", url
					+ " could not be opened");
		} 
//		catch (MalformedURLException e) {
//			MessageDialog.openError(Display.getDefault().getActiveShell(), "URL not found", url
//					+ " could not be opened");
//		}
	}
}
